Summary:	Library for national and language-specific issues
Name:		libnatspec
Version:	0.2.6
Release:	3%{?dist}

License:	LGPL
Group:		Development/Libraries
Url:		http://sourceforge.net/projects/natspec/
Source:		http://prdownloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# popt stuff 
%{?el5:BuildRequires:	popt}
%{?el6:BuildRequires:	popt-devel}

BuildRequires:	autoconf, automake, libtool

Vendor:		Natspec developers <http://natspec.sourceforge.net/>

%description
Library for national and language-specific issues.
This library provides userful functions for
mount, submount, mkisofs, multimedia players.
This library try to help resolve charset hell (encoding problem)
in a various programs depends on locale and messages.
See detailed description at %url.


%package	devel
Summary:	Development package of library for national and language-specific issues
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing extensions for %{name}.


%prep
%setup -q

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

%makeinstall
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog NEWS TODO README-ru.html
%doc examples profile
%doc %{_mandir}/man?/*
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*


%changelog
* Mon Sep 26 2011 Denis Fateyev <denis@fateyev.com> - 0.2.6-3.denf
- fixed package dependencies

* Thu Dec 02 2010 Denis Fateyev <denis@fateyev.com> - 0.2.6-2.denf
- small fix and rebuild for rhel/centos 5

* Sat Feb  6 2010 Arkady L. Shane <ashejn@yandex-team.ru> - 0.2.6-1
- initial build for Fedora
